Package org.jbpm.bpmn2.xml.di

## Class BPMNEdgeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.di.BPMNEdgeHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class BPMNEdgeHandler
      extends org.drools.core.xml.BaseAbstractHandler
      implements org.drools.core.xml.Handler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BPMNEdgeHandler.ConnectionInfo` |

  - ### Field Summary

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BPMNEdgeHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `Class<?>` | `generateNodeFor()` |
    `protected void` | `initValidParents()` |
    `protected void` | `initValidPeers()` |
    `Object` | `start​(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)` |

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### BPMNEdgeHandler

          public BPMNEdgeHandler()

  - ### Method Detail

    - #### initValidParents

          protected void initValidParents()

    - #### initValidPeers

          protected void initValidPeers()

    - #### start

          public Object start​(String uri,
                              String localName,
                              Attributes attrs,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

      Specified by:
        `start` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`